#
# spec file for package pianobar
#
# Copyright (c) 2015 Packman team: http://packman.links2linux.org/
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           pianobar
Version:        2014.09.28
Release:        1.1
Summary:        Pandora Player
License:        MIT
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://6xq.net/projects/pianobar/
Source0:        https://github.com/PromyLOPh/pianobar/archive/%{version}.zip
BuildRequires:  gcc
BuildRequires:  libao-devel
BuildRequires:  libfaad-devel
BuildRequires:  libfaad2
BuildRequires:  libffmpeg-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libgnutls-devel
BuildRequires:  libjson-devel
BuildRequires:  libmad-devel
BuildRequires:  make
BuildRequires:  pkg-config
BuildRequires:  unzip

%description
pianobar is a console client for the personalized web radio pandora

- play and manage (create, add more music, delete, rename, ...) your stations
- rate played songs and let pandora explain why they have been selected
- show upcoming songs/song history
- configure keybindings
- last.fm scrobbling support (external application)
- proxy support for listeners outside the USA

%prep
%setup -q

%build
CC=gcc
CFLAGS+=-std=gnu99
export CC
export CFLAGS
gmake clean && gmake

%install
gmake install PREFIX=%{_prefix} DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Tue Apr 14 2015 aloisio@gmx.com
- Update to version 2014.09.28
  * Fix segfault when retrieving station’s feedback list
  * Refactored audio player
  * Correctly detect ffmpeg 2.3 and 2.4
  * Restore terminal attributes after waking up (SIGCONT)
  Release 2014.06.08:
  * Switch to ffmpeg/libav for audio playback. ffmpeg 2.2, 2.1
    and 1.2 as well as libav 10 and 9 are supported. libav 8
    does *not* work. libmad/libfaad are not required any more.
  * Tilde-expansion for the fifo setting
  * eventcmd’s songstart reports correct song length
  * Readline improvements
  * Support TLS SNI
  * Improved error messages
